@import 'variables';
@import 'tweaks';

@import 'components/util';
@import 'components/expenses-view';

body.login-form-template {
  
  #login-form {
    max-width: 350px;
    margin: 100px auto 0 auto;
    padding: 20px;
    background: $gray-lighter;
    border-radius: $border-radius-base;
    
    input[name="login"] {
      margin-bottom: -1px;
      border-bottom-right-radius: 0;
      border-bottom-left-radius: 0;
    }
    
    input[name="password"] {
      margin-top: -1px;
      border-top-right-radius: 0;
      border-top-left-radius: 0;
    }
    
    button[type="submit"] {
      margin-top: 1em;
    }
    
    h2 {
      margin-bottom: 0.67em;
    }
  }

}

.page-container {
  margin-top: 15px;
}

.sidebar {
  //display: none;
  background-color: $gray-lightest;
  padding: 20px;
  
  @media (min-width: 768px) {
    position: fixed;
    top: 51px;
    bottom: 0;
    left: 0;
    z-index: 1000;
    display: block;
    
    overflow-x: hidden;
    overflow-y: auto;
    
    border-right: 1px solid $gray-lighter;
  }
}

.main {
  padding: 20px;
  
  @media (min-width: 768px) {
    padding-right: 40px;
    padding-left: 40px;
  }
}

.page-header {
  margin-top: 0px;
}

.pane {
  border: 1px solid $gray-lighter;
  background: $gray-lightest;
  border-radius: $border-radius-base;
  padding: 15px;
  
  .pane-heading {
    font-size: 1em;
    font-weight: bold;
    text-transform: uppercase;
    margin: 0 0 1.5em 0;
    color: $gray-light;
  }
  
  hr {
    border-top-color: #ccc;
    margin: 15px 0;
  }
}

.report-preview {
  .report-header {
    text-align: center;
    margin-bottom: 2em;
    
    & > .report-title {
      margin-top: 0;
    }
  }
  
  table.report-table {
    td {
      &.total { background-color: $gray-lightest }
    }
    
    td, th {
      &.with-separator {
        border-left: 1px solid $table-border-color;
      }
    }
  }
}


